<?php
session_start();
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST');
header("Access-Control-Allow-Headers: X-Requested-With");
header('Content-Type: application/json; charset=utf-8');



if (isset($_POST['user_id']) && isset($_POST['auth']) && isset($_POST['application_id'])) {
    include 'config.php';

    $user_id = $_POST['user_id'];
    $application_id = $_POST['application_id'];
    $auth = $_POST['auth'];

    $user_id = stripslashes($user_id);
    $user_id = mysqli_escape_string($con, $user_id);

    $application_id = stripslashes($application_id);
    $application_id = mysqli_escape_string($con, $application_id);

    $auth = stripslashes($auth);
    $auth = mysqli_escape_string($con, $auth);
    
    $passport_url = $p_url."/passport/";
    $id_url = $p_url."/id_docs/";
      

    $sql = $con->query("SELECT * FROM exam_applications WHERE application_id = '$application_id' AND user_id = '$user_id'") 
        or die("Error: " . mysqli_error($con));

    if ($sql->num_rows > 0) {
        $data = [];
        while ($rows = mysqli_fetch_assoc($sql)) {
            
            $data[] = $rows;
        }

        $suc = "Success";
        $status = true;
        
            $sql2 = $con->query("SELECT * FROM exam_applications WHERE application_id = '$application_id' AND user_id = '$user_id'") 
        or die("Error: " . mysqli_error($con));
             $rowx = mysqli_fetch_assoc($sql2);
         $statusx = $rowx['status'];
         $exam_type = $rowx['exam_type'];
         
            if ($statusx !== "Paid")
        {
           $sql="SELECT * FROM fees WHERE fee_type = '$exam_type'";
           $resulta = mysqli_query($con,$sql) or die(mysqli_error($con));
           $rowa = mysqli_fetch_array($resulta);
           $amount = $rowa['amount'];
           $payment_status = 'Due';
           $payment_type = $exam_type;
        }
        else
        {
           $amount = '';
           $payment_status = '';
           $payment_type = '';
 
        }
        
       
        
    } else {
        $data = [];
        $suc = "No record found";
        $status = false;
    }

    $con->close();


    $output = array('success' => $suc, 'status' => $status, 'payment_status' => $payment_status, 'amount' =>  $amount, 'payment_type' => $payment_type,   'data' => $data);
    echo json_encode($output); // Output JSON data
} else {
    echo json_encode(array('success' => "Failure", 'status' => false, 'message' => "Missing required fields"));
}
?>
